package net.wanji.utc.dt.cache;

import net.wanji.utc.dt.pojo.dtconvert.LightsInfoPojo;
import net.wanji.utc.dt.pojo.dtconvert.PhaseInfoPojo;
import net.wanji.utc.dt.pojo.dtconvert.PhaseStageInfoPojo;
import net.wanji.utc.dt.pojo.dtconvert.SchemeInfoPojo;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2023/06/19 15:28
 */
@Component
public class SignalDataCache {
    public static final Map<String, List<SchemeInfoPojo>> schemeInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseStageInfoPojo>> phaseStageInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseInfoPojo>> phaseInfoCache = new HashMap<>();
    public static final Map<String, List<LightsInfoPojo>> lightInfoCache = new HashMap<>();
}
